import * as _opentelemetry_api from '@opentelemetry/api';
import { R as RegisteredLogger, L as Logger, a as LogLevel } from './index-CBZ2mk2H.js';
import { T as Telemetry } from './telemetry-oCUM52DG.js';
import 'pino';
import 'stream';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';

declare class MastraBase {
    component: RegisteredLogger;
    protected logger: Logger;
    name?: string;
    telemetry?: Telemetry;
    constructor({ component, name }: {
        component?: RegisteredLogger;
        name?: string;
    });
    /**
     * Set the logger for the agent
     * @param logger
     */
    __setLogger(logger: Logger): void;
    /**
     * Internal logging helper that formats and sends logs to the configured logger
     * @param level - Severity level of the log
     * @param message - Main log message
     * @param opts - Optional object for the log
     */
    log(level: LogLevel, message: string, opts?: Record<string, any>): void;
    /**
     * Set the telemetry for the
     * @param telemetry
     */
    __setTelemetry(telemetry: Telemetry): void;
    /**
     * Get the telemetry on the vector
     * @returns telemetry
     */
    __getTelemetry(): Telemetry | undefined;
    get experimental_telemetry(): {
        tracer: _opentelemetry_api.Tracer;
        isEnabled: boolean;
    } | undefined;
}

export { MastraBase };
