import { executeHook } from './chunk-MLWGYRJR.js';

// src/eval/evaluation.ts
async function evaluate({
  agentName,
  input,
  metric,
  output,
  runId,
  globalRunId,
  testInfo,
  instructions
}) {
  const runIdToUse = runId || crypto.randomUUID();
  const metricResult = await metric.measure(input.toString(), output);
  const traceObject = {
    input: input.toString(),
    output,
    result: metricResult,
    meta: {
      ...testInfo && {
        testName: testInfo.testName,
        testPath: testInfo.testPath
      },
      globalRunId,
      runId: runIdToUse,
      agentName,
      timestamp: (/* @__PURE__ */ new Date()).toISOString(),
      metricName: metric.constructor.name,
      instructions
    }
  };
  executeHook("onEvaluation" /* ON_EVALUATION */, traceObject);
  return metricResult;
}

export { evaluate };
