import { IBundler, MastraBundler } from '../bundler/index.js';
import '../base.js';
import '@opentelemetry/api';
import '../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';

interface IDeployer extends IBundler {
    deploy(outputDirectory: string): Promise<void>;
}
declare abstract class MastraDeployer extends MastraBundler implements IDeployer {
    constructor({ name }: {
        name: string;
    });
    abstract deploy(outputDirectory: string): Promise<void>;
}

export { type IDeployer, MastraDeployer };
