import { M as MetricResult, a as Metric } from '../metric-BWeQNZt6.js';

type Handler<T = unknown> = (event: T) => void;

declare enum AvailableHooks {
    ON_EVALUATION = "onEvaluation",
    ON_GENERATION = "onGeneration"
}
declare function registerHook(hook: AvailableHooks.ON_EVALUATION, action: Handler<{
    input: string;
    output: string;
    result: MetricResult;
    meta: Record<string, any>;
}>): void;
declare function registerHook(hook: AvailableHooks.ON_GENERATION, action: Handler<{
    input: string;
    output: string;
    metric: Metric;
    runId: string;
    agentName: string;
    instructions: string;
}>): void;
declare function executeHook(hook: AvailableHooks.ON_EVALUATION, action: {
    input: string;
    output: string;
    result: MetricResult;
    meta: Record<string, any>;
}): void;
declare function executeHook(hook: AvailableHooks.ON_GENERATION, action: {
    input: string;
    output: string;
    metric: Metric;
    runId: string;
    agentName: string;
    instructions: string;
}): void;

export { AvailableHooks, executeHook, registerHook };
