import { z } from 'zod';
import { j as ToolExecutionContext, T as ToolAction, c as MastraPrimitives } from '../index-Cwb-5AzX.js';
export { V as CoreTool } from '../index-Cwb-5AzX.js';
import 'ai';
import 'json-schema';
import '../base.js';
import '@opentelemetry/api';
import '../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../metric-BWeQNZt6.js';
import 'sift';
import '../vector/index.js';
import '../tts/index.js';

declare class Tool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>> implements ToolAction<TId, TSchemaIn, TSchemaOut, TContext> {
    id: TId;
    description?: string;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    execute: (context: TContext) => Promise<TSchemaOut extends z.ZodSchema ? z.infer<TSchemaOut> : unknown>;
    mastra?: MastraPrimitives;
    constructor(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>);
}
declare function createTool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>>(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>): Tool<TId, TSchemaIn, TSchemaOut, TContext>;

export { Tool, ToolAction, ToolExecutionContext, createTool };
