import { Filter } from '../../filter/index.js';
import { MastraVector, QueryResult, IndexStats } from '../index.js';
import '../../base.js';
import '@opentelemetry/api';
import '../../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import 'ai';

declare class DefaultVectorDB extends MastraVector {
    private turso;
    constructor({ connectionUrl, authToken, syncUrl, syncInterval, }: {
        connectionUrl: string;
        authToken?: string;
        syncUrl?: string;
        syncInterval?: number;
    });
    protected rewriteDbUrl(url: string): string;
    transformFilter(filter?: Filter): Filter;
    query(indexName: string, queryVector: number[], topK?: number, filter?: Filter, includeVector?: boolean, minScore?: number): Promise<QueryResult[]>;
    upsert(indexName: string, vectors: number[][], metadata?: Record<string, any>[], ids?: string[]): Promise<string[]>;
    createIndex(indexName: string, dimension: number, _metric?: 'cosine' | 'euclidean' | 'dotproduct'): Promise<void>;
    deleteIndex(indexName: string): Promise<void>;
    listIndexes(): Promise<string[]>;
    describeIndex(indexName: string): Promise<IndexStats>;
    truncateIndex(indexName: string): Promise<void>;
}

export { DefaultVectorDB, DefaultVectorDB as LibSQLVector };
